Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1959320 - [FTBFS] openshadinglanguage: FTBFS in rawhide
Summary: [FTBFS] openshadinglanguage: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openshadinglanguage
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1937698
TreeView+ depends on / blocked
 
Reported: 2021-05-11 09:28 UTC by Jonathan Wakely
Modified: 2021-09-24 20:15 UTC (History)
3 users (show)

Fixed In Version: 1.11.14.0-2.fc35 openshadinglanguage-1.11.15.0-2.fc34 openshadinglanguage-1.11.15.0-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-13 03:41:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2021-05-11 09:28 UTC, Jonathan Wakely
no flags Details

Description Jonathan Wakely 2021-05-11 09:28:59 UTC
Created attachment 1781966 [details]
build.log

https://koji.fedoraproject.org/koji/buildinfo?buildID=1745771

/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.10.0/src/liboslexec/llvm_util.cpp: In member function 'void OSL_v1_11::pvt::LLVM_Util::debug_pop_function()':
/builddir/build/BUILD/OpenShadingLanguage-Release-1.11.10.0/src/liboslexec/llvm_util.cpp:643:59: error: no matching function for call to 'llvm::DebugLoc::get(unsigned int, unsigned int, llvm::DIScope*)'
  643 |     m_builder->SetCurrentDebugLocation(llvm::DebugLoc::get(static_cast<unsigned int>(1),
      |                                        ~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  644 |                 static_cast<unsigned int>(0), /* column?  we don't know it, may be worth tracking through osl->oso*/
      |                 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  645 |                 getCurrentDebugScope()));
      |                 ~~~~~~~~~~~~~~~~~~~~~~~           



Looks like an LLVM API change has broken it.

Comment 1 Jakub Jelinek 2021-05-31 11:32:35 UTC
Gentle ping: this bug is blocking an important gcc update in rawhide/f34.

Comment 2 Luya Tshimbalanga 2021-05-31 15:46:43 UTC
Not sure how that bug managed to get overlooked. The fix is already available in rawhide/f35. Update for f34 will come this week.
See https://koji.fedoraproject.org/koji/buildinfo?buildID=1751115

This bug can be closed if there is no other issue.

Comment 3 Ben Cotton 2021-08-10 13:02:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 4 Fedora Update System 2021-09-04 18:34:56 UTC
FEDORA-2021-7b157fa785 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7b157fa785

Comment 5 Fedora Update System 2021-09-04 18:34:57 UTC
FEDORA-2021-d86186f882 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d86186f882

Comment 6 Fedora Update System 2021-09-04 20:39:12 UTC
FEDORA-2021-7b157fa785 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7b157fa785`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7b157fa785

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-05 19:54:38 UTC
FEDORA-2021-d86186f882 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d86186f882`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d86186f882

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-13 03:41:52 UTC
FEDORA-2021-7b157fa785 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-09-13 13:06:53 UTC
FEDORA-2021-7b157fa785 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-09-24 20:15:44 UTC
FEDORA-2021-d86186f882 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.